;;; patcher-cutil.el --- Compile time utilities

;; Copyright (C) 2010 Didier Verna

;; Author:        Didier Verna <didier@lrde.epita.fr>
;; Maintainer:    Didier Verna <didier@lrde.epita.fr>
;; Created:       Sun May 30 17:27:39 2010
;; Last Revision: Sun May 30 18:26:25 2010
;; Keywords:      maint


;; This file is part of Patcher.

;; Patcher is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License version 3,
;; as published by the Free Software Foundation.

;; Patcher is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program; if not, write to the Free Software
;; Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


;;; Commentary:

;; Contents management by FCM version 0.1.


;;; Code:



;; ===========================================================================
;; 21.4 Backward compatibility
;; ===========================================================================

;; #### WARNING: at different places in Patcher you will notice calls to
;; MULTIPLE-VALUE-BIND binding a single variable. This is required to make
;; Patcher work in 21.4, which handles multiple values as lists, so getting
;; just one return value would lead to a list of values instead of just the
;; CAR of that list.

(when (eq 'list (symbol-function 'values))
  (define-compiler-macro values (&rest args)
    `(list ,@args)))


(provide 'patcher-cutil)

;;; patcher-cutil.el ends here
