;;; patcher-face.el --- Face definitions

;; Copyright (C) 2010 Didier Verna

;; Author:        Didier Verna <didier@lrde.epita.fr>
;; Maintainer:    Didier Verna <didier@lrde.epita.fr>
;; Created:       Tue Apr  6 15:44:31 2010
;; Last Revision: Sun May 30 18:28:16 2010
;; Keywords:      maint


;; This file is part of Patcher.

;; Patcher is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License version 3,
;; as published by the Free Software Foundation.

;; Patcher is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program; if not, write to the Free Software
;; Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


;;; Commentary:

;; Contents management by FCM version 0.1.


;;; Code:

(require 'cl)

(eval-when-compile (require 'patcher-cutil))
(require 'patcher-util)


(defgroup patcher-face nil
  "Patcher settings for faces."
  :group 'patcher)

(defface patcher-comment-face '((t (:inherit font-lock-comment-face)))
  "*Face used for comments in log message and commit command buffers."
  :group 'patcher-face)

(defface patcher-reference-face '((t (:inherit font-lock-reference-face)))
  "*Face used for references in log message and commit command buffers."
  :group 'patcher-face)


(provide 'patcher-face)

;;; patcher-face.el ends here
